package cn.iocoder.yudao.module.bpm.controller.admin.oa.conversion.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 转正流程信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaConversionPageReqVO extends PageParam {

    @Schema(description = "uuid", example = "8575")
    private String conversionId;

    @Schema(description = "转正人id", example = "8274")
    private Long employeeId;

    @Schema(description = "转正人uuid", example = "12691")
    private String employeeUuid;

    @Schema(description = "转正员工姓名", example = "李四")
    private String employeeName;

    @Schema(description = "用户账号id", example = "23689")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "14280")
    private String userUuid;

    @Schema(description = "部门id", example = "14341")
    private Long deptId;

    @Schema(description = "部门uuid", example = "3755")
    private String deptUuid;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "入职日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] entryDate;

    @Schema(description = "试用期结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] probationEndDate;

    @Schema(description = "转正日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] conversionDate;

    @Schema(description = "转正申请理由", example = "不香")
    private String conversionReason;

    @Schema(description = "工作总结")
    private String workSummary;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "10952")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "2")
    private String auditStatus;

    @Schema(description = "当前审核人用户id", example = "13372")
    private Long currentAuditUserId;

    @Schema(description = "当前审核人用户uuid", example = "15583")
    private String currentAuditUserUuid;

    @Schema(description = "当前审核人员工id", example = "20635")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工uuid", example = "32658")
    private String currentAuditEmployeeUuid;

    @Schema(description = "最后审核时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] finalAuditDate;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}