package cn.iocoder.yudao.module.bpm.controller.admin.oa.conversion.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 转正流程信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaConversionRespVO {

    @Schema(description = "转正表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "27266")
    @ExcelProperty("转正表单主键")
    private Long id;

    @Schema(description = "uuid", example = "8575")
    @ExcelProperty("uuid")
    private String conversionId;

    @Schema(description = "转正人id", example = "8274")
    @ExcelProperty("转正人id")
    private Long employeeId;

    @Schema(description = "转正人uuid", example = "12691")
    @ExcelProperty("转正人uuid")
    private String employeeUuid;

    @Schema(description = "转正员工姓名", example = "李四")
    @ExcelProperty("转正员工姓名")
    private String employeeName;

    @Schema(description = "用户账号id", example = "23689")
    @ExcelProperty("用户账号id")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "14280")
    @ExcelProperty("用户账号uuid")
    private String userUuid;

    @Schema(description = "部门id", example = "14341")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门uuid", example = "3755")
    @ExcelProperty("部门uuid")
    private String deptUuid;

    @Schema(description = "职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "入职日期")
    @ExcelProperty("入职日期")
    private String entryDate;

    @Schema(description = "试用期结束日期")
    @ExcelProperty("试用期结束日期")
    private String probationEndDate;

    @Schema(description = "转正日期")
    @ExcelProperty("转正日期")
    private String conversionDate;

    @Schema(description = "转正申请理由", example = "不香")
    @ExcelProperty("转正申请理由")
    private String conversionReason;

    @Schema(description = "工作总结")
    @ExcelProperty("工作总结")
    private String workSummary;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "10952")
    @ExcelProperty("流程实例id")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "2")
    @ExcelProperty("审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    private String auditStatus;

    @Schema(description = "当前审核人用户id", example = "13372")
    @ExcelProperty("当前审核人用户id")
    private Long currentAuditUserId;

    @Schema(description = "当前审核人用户uuid", example = "15583")
    @ExcelProperty("当前审核人用户uuid")
    private String currentAuditUserUuid;

    @Schema(description = "当前审核人员工id", example = "20635")
    @ExcelProperty("当前审核人员工id")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工uuid", example = "32658")
    @ExcelProperty("当前审核人员工uuid")
    private String currentAuditEmployeeUuid;

    @Schema(description = "最后审核时间")
    @ExcelProperty("最后审核时间")
    private LocalDateTime finalAuditDate;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    @ExcelProperty("数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}