package cn.iocoder.yudao.module.bpm.controller.admin.oa.conversion.vo;

import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 转正流程信息新增/修改 Request VO")
@Data
public class OaConversionSaveReqVO {

    @Schema(description = "转正表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "27266")
    private Long id;

    @Schema(description = "uuid", example = "8575")
    private String conversionId;

    @Schema(description = "转正人id", example = "8274")
    private Long employeeId;

    @Schema(description = "转正人uuid", example = "12691")
    private String employeeUuid;

    @Schema(description = "转正员工姓名", example = "李四")
    private String employeeName;

    @Schema(description = "用户账号id", example = "23689")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "14280")
    private String userUuid;

    @Schema(description = "部门id", example = "14341")
    private Long deptId;

    @Schema(description = "部门uuid", example = "3755")
    private String deptUuid;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "入职日期")
    private String entryDate;

    @Schema(description = "试用期结束日期")
    private String probationEndDate;

    @Schema(description = "转正日期")
    private String conversionDate;

    @Schema(description = "转正申请理由", example = "不香")
    private String conversionReason;

    @Schema(description = "工作总结")
    private String workSummary;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "10952")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "2")
    private String auditStatus;

    @Schema(description = "当前审核人用户id", example = "13372")
    private Long currentAuditUserId;

    @Schema(description = "当前审核人用户uuid", example = "15583")
    private String currentAuditUserUuid;

    @Schema(description = "当前审核人员工id", example = "20635")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工uuid", example = "32658")
    private String currentAuditEmployeeUuid;

    @Schema(description = "最后审核时间")
    private LocalDateTime finalAuditDate;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "审批，true 通过，false 驳回", example = "true")
    private Boolean auditPass;

    @Schema(description = "发起人自选审批人 Map", example = " [1, 1]")
    private List<Long> startUserSelectAssignees;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

    @Schema(description = "审批信息")
    private BpmTaskApproveReqVO bpmTaskApproveReqVO;


}