package cn.iocoder.yudao.module.bpm.controller.admin.oa.dimission.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 离职流程信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaDimissionRespVO {

    @Schema(description = "离职表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "15606")
    @ExcelProperty("离职表单主键")
    private Long id;

    @Schema(description = "uuid", example = "18425")
    @ExcelProperty("uuid")
    private String dimissionId;

    @Schema(description = "转正人id", example = "18376")
    @ExcelProperty("转正人id")
    private Long employeeId;

    @Schema(description = "转正人uuid", example = "2649")
    @ExcelProperty("转正人uuid")
    private String employeeUuid;

    @Schema(description = "转正员工姓名", example = "赵六")
    @ExcelProperty("转正员工姓名")
    private String employeeName;

    @Schema(description = "用户账号id", example = "9650")
    @ExcelProperty("用户账号id")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "4544")
    @ExcelProperty("用户账号uuid")
    private String userUuid;

    @Schema(description = "部门id", example = "24445")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门uuid", example = "29090")
    @ExcelProperty("部门uuid")
    private String deptUuid;

    @Schema(description = "职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "入职日期")
    @ExcelProperty("入职日期")
    private String startDate;

    @Schema(description = "离职日期")
    @ExcelProperty("离职日期")
    private String dimissionDate;

    @Schema(description = "离职原因", example = "不喜欢")
    @ExcelProperty("离职原因")
    private String dimissionReason;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "18482")
    @ExcelProperty("流程实例id")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "2")
    @ExcelProperty("审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    private String auditStatus;

    @Schema(description = "当前审核人用户id", example = "12344")
    @ExcelProperty("当前审核人用户id")
    private Long currentAuditUserId;

    @Schema(description = "当前审核人用户uuid", example = "27993")
    @ExcelProperty("当前审核人用户uuid")
    private String currentAuditUserUuid;

    @Schema(description = "当前审核人员工id", example = "31626")
    @ExcelProperty("当前审核人员工id")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工uuid", example = "6500")
    @ExcelProperty("当前审核人员工uuid")
    private String currentAuditEmployeeUuid;

    @Schema(description = "最后审核时间")
    @ExcelProperty("最后审核时间")
    private LocalDateTime finalAuditDate;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    @ExcelProperty("数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}