package cn.iocoder.yudao.module.bpm.controller.admin.oa.entry.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 入职流程信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaEntryRespVO {

    @Schema(description = "uuid", example = "13471")
    @ExcelProperty("uuid")
    private String entryId;

    @Schema(description = "部门", example = "2937")
    @ExcelProperty("部门")
    private String deptId;

    @Schema(description = "职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "员工类型", example = "1")
    @ExcelProperty("员工类型")
    private String employeeType;

    @Schema(description = "性别")
    @ExcelProperty("性别")
    private String gender;

    @Schema(description = "出身日期")
    @ExcelProperty("出身日期")
    private String birthday;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String contactNumber;

    @Schema(description = "电子邮箱")
    @ExcelProperty("电子邮箱")
    private String email;

    @Schema(description = "教育背景")
    @ExcelProperty("教育背景")
    private String education;

    @Schema(description = "工作经验")
    @ExcelProperty("工作经验")
    private String workExperience;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "最后审核时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("最后审核时间")
    private String finalAuditDate;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "入职表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "27428")
    @ExcelProperty("入职表单主键")
    private Integer id;

    @Schema(description = "入职人", example = "李四")
    @ExcelProperty("入职人")
    private String entryName;

    @Schema(description = "入职日期")
    @ExcelProperty("入职日期")
    private String entryDate;

    @Schema(description = "流程实例id", example = "9407")
    @ExcelProperty("流程实例id")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5驳回）", example = "2")
    @ExcelProperty("审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5驳回）")
    private String auditStatus;

    @Schema(description = "当前审核人编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "29870")
    @ExcelProperty("当前审核人编号")
    private String currentAuditEmployeeId;

    @Schema(description = "数据来源，0流程添加、1手动添加", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("数据来源，0流程添加、1手动添加")
    private String infoSource;

}