package cn.iocoder.yudao.module.bpm.controller.admin.oa.entry.vo;

import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "管理后台 - 入职流程信息新增/修改 Request VO")
@Data
public class OaEntrySaveReqVO {

    @Schema(description = "入职人", example = "李四")
    private String entryName;

    @Schema(description = "uuid", example = "13471")
    private String entryId;

    @Schema(description = "部门", example = "2937")
    private String deptId;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "员工类型", example = "1")
    private String employeeType;

    @Schema(description = "性别")
    private String gender;

    @Schema(description = "出身日期")
    private String birthday;

    @Schema(description = "联系电话")
    private String contactNumber;

    @Schema(description = "电子邮箱")
    private String email;

    @Schema(description = "教育背景", example = "本科")
    private String education;

    @Schema(description = "工作经验", example = "5年Java开发经验")
    private String workExperience;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "最后审核时间", requiredMode = Schema.RequiredMode.REQUIRED)
    // @NotEmpty(message = "最后审核时间不能为空")
    private String finalAuditDate;

    @Schema(description = "入职表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer id;

    @Schema(description = "入职日期")
    private String entryDate;

    @Schema(description = "流程实例id", example = "9407")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5驳回）", example = "2")
    private String auditStatus;

    @Schema(description = "当前审核人编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "29870")
    // @NotEmpty(message = "当前审核人编号不能为空")
    private String currentAuditEmployeeId;

    @Schema(description = "数据来源，0流程添加、1手动添加", requiredMode = Schema.RequiredMode.REQUIRED, example = "0")
    // @NotEmpty(message = "数据来源，0流程添加、1手动添加不能为空")
    private String infoSource;

    @Schema(description = "审批，true 通过，false 驳回", example = "true")
    private Boolean auditPass;

    @Schema(description = "发起人自选审批人 Map", example = " [1, 1]")
    private List<Long> startUserSelectAssignees;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

    @Schema(description = "审批信息")
    private BpmTaskApproveReqVO bpmTaskApproveReqVO;

}