package cn.iocoder.yudao.module.bpm.controller.admin.oa.holiday.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 请假流程信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaHolidayRespVO {

    @Schema(description = "请假表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "26233")
    @ExcelProperty("请假表单主键")
    private Long id;

    @Schema(description = "uuid", example = "20728")
    @ExcelProperty("uuid")
    private String holidayId;

    @Schema(description = "转正人id", example = "12388")
    @ExcelProperty("转正人id")
    private Long employeeId;

    @Schema(description = "转正人uuid", example = "31445")
    @ExcelProperty("转正人uuid")
    private String employeeUuid;

    @Schema(description = "转正员工姓名", example = "王五")
    @ExcelProperty("转正员工姓名")
    private String employeeName;

    @Schema(description = "用户账号id", example = "25603")
    @ExcelProperty("用户账号id")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "13640")
    @ExcelProperty("用户账号uuid")
    private String userUuid;

    @Schema(description = "部门id", example = "26110")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门uuid", example = "24393")
    @ExcelProperty("部门uuid")
    private String deptUuid;

    @Schema(description = "员工职位")
    @ExcelProperty("员工职位")
    private String position;

    @Schema(description = "请假类型", example = "1")
    @ExcelProperty("请假类型")
    private String holidayType;

    @Schema(description = "开始日期")
    @ExcelProperty("开始日期")
    private String startDate;

    @Schema(description = "结束日期")
    @ExcelProperty("结束日期")
    private String endDate;

    @Schema(description = "请假天数")
    @ExcelProperty("请假天数")
    private String day;

    @Schema(description = "具体到上下午，am上午 pm下午")
    @ExcelProperty("具体到上下午，am上午 pm下午")
    private String startTime;

    @Schema(description = "具体到上下午，am上午 pm下午")
    @ExcelProperty("具体到上下午，am上午 pm下午")
    private String endTime;

    @Schema(description = "请假原因", example = "不好")
    @ExcelProperty("请假原因")
    private String reason;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "26074")
    @ExcelProperty("流程实例id")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "2")
    @ExcelProperty("审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    private String auditStatus;

    @Schema(description = "当前审核人用户id", example = "19230")
    @ExcelProperty("当前审核人用户id")
    private Long currentAuditUserId;

    @Schema(description = "当前审核人用户uuid", example = "30632")
    @ExcelProperty("当前审核人用户uuid")
    private String currentAuditUserUuid;

    @Schema(description = "当前审核人员工id", example = "7920")
    @ExcelProperty("当前审核人员工id")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工uuid", example = "18105")
    @ExcelProperty("当前审核人员工uuid")
    private String currentAuditEmployeeUuid;

    @Schema(description = "最后审核时间")
    @ExcelProperty("最后审核时间")
    private LocalDateTime finalAuditDate;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    @ExcelProperty("数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}