package cn.iocoder.yudao.module.bpm.controller.admin.oa.holiday.vo;

import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 请假流程信息新增/修改 Request VO")
@Data
public class OaHolidaySaveReqVO {

    @Schema(description = "请假表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "26233")
    private Long id;

    @Schema(description = "uuid", example = "20728")
    private String holidayId;

    @Schema(description = "转正人id", example = "12388")
    private Long employeeId;

    @Schema(description = "转正人uuid", example = "31445")
    private String employeeUuid;

    @Schema(description = "转正员工姓名", example = "王五")
    private String employeeName;

    @Schema(description = "用户账号id", example = "25603")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "13640")
    private String userUuid;

    @Schema(description = "部门id", example = "26110")
    private Long deptId;

    @Schema(description = "部门uuid", example = "24393")
    private String deptUuid;

    @Schema(description = "员工职位")
    private String position;

    @Schema(description = "请假类型", example = "1")
    private String holidayType;

    @Schema(description = "开始日期")
    private String startDate;

    @Schema(description = "结束日期")
    private String endDate;

    @Schema(description = "请假天数")
    private String day;

    @Schema(description = "具体到上下午，am上午 pm下午")
    private String startTime;

    @Schema(description = "具体到上下午，am上午 pm下午")
    private String endTime;

    @Schema(description = "请假原因", example = "不好")
    private String reason;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "26074")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "2")
    private String auditStatus;

    @Schema(description = "当前审核人用户id", example = "19230")
    private Long currentAuditUserId;

    @Schema(description = "当前审核人用户uuid", example = "30632")
    private String currentAuditUserUuid;

    @Schema(description = "当前审核人员工id", example = "7920")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工uuid", example = "18105")
    private String currentAuditEmployeeUuid;

    @Schema(description = "最后审核时间")
    private LocalDateTime finalAuditDate;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;


    @Schema(description = "审批，true 通过，false 驳回", example = "true")
    private Boolean auditPass;

    @Schema(description = "发起人自选审批人 Map", example = " [1, 1]")
    private List<Long> startUserSelectAssignees;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

    @Schema(description = "审批信息")
    private BpmTaskApproveReqVO bpmTaskApproveReqVO;


}