package cn.iocoder.yudao.module.bpm.controller.admin.oa.leave.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 请假流程信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaLeavePageReqVO extends PageParam {

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "uuid", example = "17142")
    private String leaveId;

    @Schema(description = "员工姓名", example = "张三")
    private String loginName;

    @Schema(description = "员工编号", example = "18704")
    private String loginId;

    @Schema(description = "部门", example = "26420")
    private String deptId;

    @Schema(description = "员工职位")
    private String position;

    @Schema(description = "请假类型", example = "2")
    private String type;

    @Schema(description = "开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] startTime;

    @Schema(description = "结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] endTime;

    @Schema(description = "请假天数")
    private String day;

    @Schema(description = "具体到上下午，am上午 pm下午")
    private String concreteDay1;

    @Schema(description = "具体到上下午，am上午 pm下午")
    private String concreteDay2;

    @Schema(description = "请假原因", example = "不喜欢")
    private String reason;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "32163")
    private String procInsId;

    @Schema(description = "单据状态（0：暂存，1：审批中，2：生效，4:审批完成，3：删除，5作废）", example = "1")
    private String oaLeaveStatus;

    @Schema(description = "审核状态（0：驳回，1：提交，2：审批中，4:审批完成，3：取消结束）", example = "2")
    private String auditStatus;

    @Schema(description = "当前审核人编号", example = "12911")
    private String auditLoginId;

    @Schema(description = "最后审核时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] finalAuditDate;

    @Schema(description = "数据来源，流程添加、手动添加")
    private String infoSource;

}