package cn.iocoder.yudao.module.bpm.controller.admin.oa.leave.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 请假流程信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaLeaveRespVO {

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "请假表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "11541")
    @ExcelProperty("请假表单主键")
    private Integer id;

    @Schema(description = "uuid", example = "17142")
    @ExcelProperty("uuid")
    private String leaveId;

    @Schema(description = "员工姓名", example = "张三")
    @ExcelProperty("员工姓名")
    private String loginName;

    @Schema(description = "员工编号", example = "18704")
    @ExcelProperty("员工编号")
    private String loginId;

    @Schema(description = "部门", example = "26420")
    @ExcelProperty("部门")
    private String deptId;

    @Schema(description = "员工职位")
    @ExcelProperty("员工职位")
    private String position;

    @Schema(description = "请假类型", example = "2")
    @ExcelProperty("请假类型")
    private String type;

    @Schema(description = "开始时间")
    @ExcelProperty("开始时间")
    private String startTime;

    @Schema(description = "结束时间")
    @ExcelProperty("结束时间")
    private String endTime;

    @Schema(description = "请假天数")
    @ExcelProperty("请假天数")
    private String day;

    @Schema(description = "具体到上下午，am上午 pm下午")
    @ExcelProperty("具体到上下午，am上午 pm下午")
    private String concreteDay1;

    @Schema(description = "具体到上下午，am上午 pm下午")
    @ExcelProperty("具体到上下午，am上午 pm下午")
    private String concreteDay2;

    @Schema(description = "请假原因", example = "不喜欢")
    @ExcelProperty("请假原因")
    private String reason;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "32163")
    @ExcelProperty("流程实例id")
    private String procInsId;

    @Schema(description = "单据状态（0：暂存，1：审批中，2：生效，4:审批完成，3：删除，5作废）", example = "1")
    @ExcelProperty("单据状态（0：暂存，1：审批中，2：生效，4:审批完成，3：删除，5作废）")
    private String oaLeaveStatus;

    @Schema(description = "审核状态（0：驳回，1：提交，2：审批中，4:审批完成，3：取消结束）", example = "2")
    @ExcelProperty("审核状态（0：驳回，1：提交，2：审批中，4:审批完成，3：取消结束）")
    private String auditStatus;

    @Schema(description = "当前审核人编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "12911")
    @ExcelProperty("当前审核人编号")
    private String auditLoginId;

    @Schema(description = "最后审核时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("最后审核时间")
    private String finalAuditDate;

    @Schema(description = "数据来源，流程添加、手动添加")
    @ExcelProperty("数据来源，流程添加、手动添加")
    private String infoSource;

}