package cn.iocoder.yudao.module.bpm.controller.admin.oa.renew.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 合同续签流程信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaRenewPageReqVO extends PageParam {

    @Schema(description = "uuid", example = "14308")
    private String renewId;

    @Schema(description = "转正人id", example = "4530")
    private Long employeeId;

    @Schema(description = "转正人uuid", example = "24001")
    private String employeeUuid;

    @Schema(description = "转正员工姓名", example = "赵六")
    private String employeeName;

    @Schema(description = "用户账号id", example = "16762")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "12052")
    private String userUuid;

    @Schema(description = "部门id", example = "28162")
    private Long deptId;

    @Schema(description = "部门uuid", example = "17499")
    private String deptUuid;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "原合同开始日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] oldContractStartDate;

    @Schema(description = "原合同结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] oldContractEndDate;

    @Schema(description = "续签合同期限")
    private String renewPeriod;

    @Schema(description = "续签开始日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] renewContractStartDate;

    @Schema(description = "续签结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] renewContractEndDate;

    @Schema(description = "续签理由", example = "不喜欢")
    private String renewReason;

    @Schema(description = "工作表现")
    private String workPerformance;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "25043")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "1")
    private String auditStatus;

    @Schema(description = "当前审核人用户id", example = "19532")
    private Long currentAuditUserId;

    @Schema(description = "当前审核人用户uuid", example = "31429")
    private String currentAuditUserUuid;

    @Schema(description = "当前审核人员工id", example = "22621")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工uuid", example = "12859")
    private String currentAuditEmployeeUuid;

    @Schema(description = "最后审核时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] finalAuditDate;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}