package cn.iocoder.yudao.module.bpm.controller.admin.oa.renew.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 合同续签流程信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaRenewRespVO {

    @Schema(description = "续签表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "31139")
    @ExcelProperty("续签表单主键")
    private Long id;

    @Schema(description = "uuid", example = "14308")
    @ExcelProperty("uuid")
    private String renewId;

    @Schema(description = "转正人id", example = "4530")
    @ExcelProperty("转正人id")
    private Long employeeId;

    @Schema(description = "转正人uuid", example = "24001")
    @ExcelProperty("转正人uuid")
    private String employeeUuid;

    @Schema(description = "转正员工姓名", example = "赵六")
    @ExcelProperty("转正员工姓名")
    private String employeeName;

    @Schema(description = "用户账号id", example = "16762")
    @ExcelProperty("用户账号id")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "12052")
    @ExcelProperty("用户账号uuid")
    private String userUuid;

    @Schema(description = "部门id", example = "28162")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门uuid", example = "17499")
    @ExcelProperty("部门uuid")
    private String deptUuid;

    @Schema(description = "职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "原合同开始日期")
    @ExcelProperty("原合同开始日期")
    private String oldContractStartDate;

    @Schema(description = "原合同结束日期")
    @ExcelProperty("原合同结束日期")
    private String oldContractEndDate;

    @Schema(description = "续签合同期限")
    @ExcelProperty("续签合同期限")
    private String renewPeriod;

    @Schema(description = "续签开始日期")
    @ExcelProperty("续签开始日期")
    private String renewContractStartDate;

    @Schema(description = "续签结束日期")
    @ExcelProperty("续签结束日期")
    private String renewContractEndDate;

    @Schema(description = "续签理由", example = "不喜欢")
    @ExcelProperty("续签理由")
    private String renewReason;

    @Schema(description = "工作表现")
    @ExcelProperty("工作表现")
    private String workPerformance;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "25043")
    @ExcelProperty("流程实例id")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "1")
    @ExcelProperty("审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    private String auditStatus;

    @Schema(description = "当前审核人用户id", example = "19532")
    @ExcelProperty("当前审核人用户id")
    private Long currentAuditUserId;

    @Schema(description = "当前审核人用户uuid", example = "31429")
    @ExcelProperty("当前审核人用户uuid")
    private String currentAuditUserUuid;

    @Schema(description = "当前审核人员工id", example = "22621")
    @ExcelProperty("当前审核人员工id")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工uuid", example = "12859")
    @ExcelProperty("当前审核人员工uuid")
    private String currentAuditEmployeeUuid;

    @Schema(description = "最后审核时间")
    @ExcelProperty("最后审核时间")
    private LocalDateTime finalAuditDate;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    @ExcelProperty("数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}