package cn.iocoder.yudao.module.bpm.controller.admin.oa.universal.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 通用事项审批流程信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaUniversalPageReqVO extends PageParam {

    @Schema(description = "uuid", example = "12260")
    private String universalId;

    @Schema(description = "申请人id", example = "14065")
    private Long employeeId;

    @Schema(description = "申请人uuid", example = "8771")
    private String employeeUuid;

    @Schema(description = "申请员工姓名", example = "芋艿")
    private String employeeName;

    @Schema(description = "申请员工手机号", example = "13900000000")
    private String employeePhone;

    @Schema(description = "申请用户账号id", example = "18283")
    private Long userId;

    @Schema(description = "申请用户账号uuid", example = "28769")
    private String userUuid;

    @Schema(description = "申请用户账号手机号", example = "13900000000")
    private String userPhone;

    @Schema(description = "部门id", example = "12910")
    private Long deptId;

    @Schema(description = "部门uuid", example = "18681")
    private String deptUuid;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "申请事项标题")
    private String title;

    @Schema(description = "详细描述", example = "随便")
    private String description;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "18345")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "1")
    private String auditStatus;

    @Schema(description = "当前审核人用户id", example = "31811")
    private Long currentAuditUserId;

    @Schema(description = "当前审核人用户uuid", example = "23687")
    private String currentAuditUserUuid;

    @Schema(description = "当前审核人用户姓名")
    private String currentAuditUserName;

    @Schema(description = "当前审核人员工id", example = "2375")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工uuid", example = "13039")
    private String currentAuditEmployeeUuid;

    @Schema(description = "当前审核人员工姓名")
    private String currentAuditEmployeeName;

    @Schema(description = "最后审核时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] finalAuditDate;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}