package cn.iocoder.yudao.module.bpm.controller.admin.oa.universal.vo;

import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "管理后台 - 通用事项审批流程信息新增/修改 Request VO")
@Data
public class OaUniversalSaveReqVO {

    @Schema(description = "自增主键", requiredMode = Schema.RequiredMode.AUTO, example = "1")
    private Long id;

    @Schema(description = "申请事项标题",  example = "申请事项标题，最多20字")
    @NotBlank(message = "申请事项标题不能为空")
    private String title;

    @Schema(description = "详细描述", example = "详细描述，最多200字")
    @NotBlank(message = "详细描述不能为空")
    private String description;

    @Schema(description = "备注", example = "备注，最多200字")
    private String remarks;

    @Schema(description = "发起人选择审批人id集合", example = "[100, 1]")
    private List<Long> startUserSelectAssignees;

    @Schema(description = "附件主键id集合", example = "[1, 2]")
    private List<Long> fileIdList;

}