package cn.iocoder.yudao.module.bpm.controller.admin.task.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - Bpm 任务规则新增/修改 Request VO")
@Data
public class BpmTaskAssignRuleSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "17826")
    private Long id;

    @Schema(description = "流程模型的编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1174")
    @NotEmpty(message = "流程模型的编号不能为空")
    private String modelId;

    @Schema(description = "流程定义的编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "23738")
    @NotEmpty(message = "流程定义的编号不能为空")
    private String processDefinitionId;

    @Schema(description = "流程任务定义的key", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "流程任务定义的key不能为空")
    private String taskDefinitionKey;

    @Schema(description = "规则类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "规则类型不能为空")
    private Integer type;

    @Schema(description = "规则值，JSON 数组", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "规则值，JSON 数组不能为空")
    private String options;

}