package cn.iocoder.yudao.module.bpm.dal.dataobject.oa.entry;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 入职流程信息 DO
 *
 * @author 芋道源码
 */
@TableName("bpm_oa_entry")
@KeySequence("bpm_oa_entry_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaEntryDO extends BaseDO {
    /**
     * 入职表单主键
     */
    @TableId
    private Integer id;

    /**
     * uuid
     */
    private String entryId;
    /**
     * 入职人
     */
    private String entryName;
    /**
     * 部门
     */
    private String deptId;
    /**
     * 职位
     */
    private String position;
    /**
     * 员工类型
     */
    private String employeeType;
    /**
     * 性别
     */
    private String gender;
    /**
     * 出身日期
     */
    private String birthday;
    /**
     * 联系电话
     */
    private String contactNumber;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * 教育背景
     */
    private String education;
    /**
     * 工作经验
     */
    private String workExperience;
    /**
     * 入职日期
     */
    private String entryDate;
    /**
     * 备注
     */
    private String remarks;


    /**
     * 流程实例id
     */
    private String procInstId;
    /**
     * 审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5驳回）
     */
    private String auditStatus;
    /**
     * 最后审核时间
     */
    private Date finalAuditDate;
    /**
     * 当前审核人编号
     */
    private String currentAuditEmployeeId;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;

}