package cn.iocoder.yudao.module.bpm.dal.dataobject.oa.leave;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 请假流程信息 DO
 *
 * @author 芋道源码
 */
@TableName("bpm_oa_leave")
@KeySequence("bpm_oa_leave_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaLeaveDO extends BaseDO {

    /**
     * 请假表单主键
     */
    @TableId
    private Integer id;
    /**
     * uuid
     */
    private String leaveId;
    /**
     * 员工姓名
     */
    private String loginName;
    /**
     * 员工编号
     */
    private String loginId;
    /**
     * 部门
     */
    private String deptId;
    /**
     * 员工职位
     */
    private String position;
    /**
     * 请假类型
     */
    private String type;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 请假天数
     */
    private String day;
    /**
     * 具体到上下午，am上午 pm下午
     */
    private String concreteDay1;
    /**
     * 具体到上下午，am上午 pm下午
     */
    private String concreteDay2;
    /**
     * 请假原因
     */
    private String reason;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 流程实例id
     */
    private String procInsId;
    /**
     * 单据状态（0：暂存，1：审批中，2：生效，4:审批完成，3：删除，5作废）
     */
    private String oaLeaveStatus;
    /**
     * 审核状态（0：驳回，1：提交，2：审批中，4:审批完成，3：取消结束）
     */
    private String auditStatus;
    /**
     * 当前审核人编号
     */
    private String auditLoginId;
    /**
     * 最后审核时间
     */
    private String finalAuditDate;
    /**
     * 数据来源，流程添加、手动添加
     */
    private String infoSource;

}