package cn.iocoder.yudao.module.bpm.dal.mysql.oa.conversion;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.conversion.vo.OaConversionPageReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.conversion.OaConversionDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 转正流程信息 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface OaConversionMapper extends BaseMapperX<OaConversionDO> {

    default PageResult<OaConversionDO> selectPage(OaConversionPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OaConversionDO>()
                .eqIfPresent(OaConversionDO::getConversionId, reqVO.getConversionId())
                .eqIfPresent(OaConversionDO::getEmployeeId, reqVO.getEmployeeId())
                .eqIfPresent(OaConversionDO::getEmployeeUuid, reqVO.getEmployeeUuid())
                .likeIfPresent(OaConversionDO::getEmployeeName, reqVO.getEmployeeName())
                .eqIfPresent(OaConversionDO::getUserId, reqVO.getUserId())
                .eqIfPresent(OaConversionDO::getUserUuid, reqVO.getUserUuid())
                .eqIfPresent(OaConversionDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(OaConversionDO::getDeptUuid, reqVO.getDeptUuid())
                .eqIfPresent(OaConversionDO::getPosition, reqVO.getPosition())
                .betweenIfPresent(OaConversionDO::getEntryDate, reqVO.getEntryDate())
                .betweenIfPresent(OaConversionDO::getProbationEndDate, reqVO.getProbationEndDate())
                .betweenIfPresent(OaConversionDO::getConversionDate, reqVO.getConversionDate())
                .eqIfPresent(OaConversionDO::getConversionReason, reqVO.getConversionReason())
                .eqIfPresent(OaConversionDO::getWorkSummary, reqVO.getWorkSummary())
                .eqIfPresent(OaConversionDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(OaConversionDO::getProcInstId, reqVO.getProcInstId())
                .eqIfPresent(OaConversionDO::getAuditStatus, reqVO.getAuditStatus())
                .eqIfPresent(OaConversionDO::getCurrentAuditUserId, reqVO.getCurrentAuditUserId())
                .eqIfPresent(OaConversionDO::getCurrentAuditUserUuid, reqVO.getCurrentAuditUserUuid())
                .eqIfPresent(OaConversionDO::getCurrentAuditEmployeeId, reqVO.getCurrentAuditEmployeeId())
                .eqIfPresent(OaConversionDO::getCurrentAuditEmployeeUuid, reqVO.getCurrentAuditEmployeeUuid())
                .betweenIfPresent(OaConversionDO::getFinalAuditDate, reqVO.getFinalAuditDate())
                .eqIfPresent(OaConversionDO::getInfoSource, reqVO.getInfoSource())
                .betweenIfPresent(OaConversionDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(OaConversionDO::getId));
    }

}