package cn.iocoder.yudao.module.bpm.dal.mysql.oa.dimission;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.dimission.vo.OaDimissionPageReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.dimission.OaDimissionDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 离职流程信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface OaDimissionMapper extends BaseMapperX<OaDimissionDO> {

    default PageResult<OaDimissionDO> selectPage(OaDimissionPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OaDimissionDO>()
                .eqIfPresent(OaDimissionDO::getDimissionId, reqVO.getDimissionId())
                .eqIfPresent(OaDimissionDO::getEmployeeId, reqVO.getEmployeeId())
                .eqIfPresent(OaDimissionDO::getEmployeeUuid, reqVO.getEmployeeUuid())
                .likeIfPresent(OaDimissionDO::getEmployeeName, reqVO.getEmployeeName())
                .eqIfPresent(OaDimissionDO::getUserId, reqVO.getUserId())
                .eqIfPresent(OaDimissionDO::getUserUuid, reqVO.getUserUuid())
                .eqIfPresent(OaDimissionDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(OaDimissionDO::getDeptUuid, reqVO.getDeptUuid())
                .eqIfPresent(OaDimissionDO::getPosition, reqVO.getPosition())
                .betweenIfPresent(OaDimissionDO::getStartDate, reqVO.getStartDate())
                .betweenIfPresent(OaDimissionDO::getDimissionDate, reqVO.getDimissionDate())
                .eqIfPresent(OaDimissionDO::getDimissionReason, reqVO.getDimissionReason())
                .eqIfPresent(OaDimissionDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(OaDimissionDO::getProcInstId, reqVO.getProcInstId())
                .eqIfPresent(OaDimissionDO::getAuditStatus, reqVO.getAuditStatus())
                .eqIfPresent(OaDimissionDO::getCurrentAuditUserId, reqVO.getCurrentAuditUserId())
                .eqIfPresent(OaDimissionDO::getCurrentAuditUserUuid, reqVO.getCurrentAuditUserUuid())
                .eqIfPresent(OaDimissionDO::getCurrentAuditEmployeeId, reqVO.getCurrentAuditEmployeeId())
                .eqIfPresent(OaDimissionDO::getCurrentAuditEmployeeUuid, reqVO.getCurrentAuditEmployeeUuid())
                .betweenIfPresent(OaDimissionDO::getFinalAuditDate, reqVO.getFinalAuditDate())
                .eqIfPresent(OaDimissionDO::getInfoSource, reqVO.getInfoSource())
                .betweenIfPresent(OaDimissionDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(OaDimissionDO::getId));
    }

}