package cn.iocoder.yudao.module.bpm.dal.mysql.oa.entry;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.entry.vo.OaEntryPageReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.entry.OaEntryDO;
import org.apache.ibatis.annotations.Mapper;
/**
 * 入职流程信息 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface OaEntryMapper extends BaseMapperX<OaEntryDO> {

    default PageResult<OaEntryDO> selectPage(OaEntryPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OaEntryDO>()
                .eqIfPresent(OaEntryDO::getEntryId, reqVO.getEntryId())
                .eqIfPresent(OaEntryDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(OaEntryDO::getPosition, reqVO.getPosition())
                .eqIfPresent(OaEntryDO::getEmployeeType, reqVO.getEmployeeType())
                .eqIfPresent(OaEntryDO::getGender, reqVO.getGender())
                .eqIfPresent(OaEntryDO::getBirthday, reqVO.getBirthday())
                .eqIfPresent(OaEntryDO::getContactNumber, reqVO.getContactNumber())
                .eqIfPresent(OaEntryDO::getEmail, reqVO.getEmail())
                .eqIfPresent(OaEntryDO::getEducation, reqVO.getEducation())
                .eqIfPresent(OaEntryDO::getWorkExperience, reqVO.getWorkExperience())
                .eqIfPresent(OaEntryDO::getRemarks, reqVO.getRemarks())
                .betweenIfPresent(OaEntryDO::getFinalAuditDate, reqVO.getFinalAuditDate())
                .betweenIfPresent(OaEntryDO::getCreateTime, reqVO.getCreateTime())
                .likeIfPresent(OaEntryDO::getEntryName, reqVO.getEntryName())
                .betweenIfPresent(OaEntryDO::getEntryDate, reqVO.getEntryDate())
                .eqIfPresent(OaEntryDO::getProcInstId, reqVO.getProcInstId())
                .eqIfPresent(OaEntryDO::getAuditStatus, reqVO.getAuditStatus())
                .eqIfPresent(OaEntryDO::getCurrentAuditEmployeeId, reqVO.getCurrentAuditEmployeeId())
                .eqIfPresent(OaEntryDO::getInfoSource, reqVO.getInfoSource())
                .orderByDesc(OaEntryDO::getId));
    }

}