package cn.iocoder.yudao.module.bpm.dal.mysql.oa.holiday;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.holiday.vo.OaHolidayPageReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.holiday.OaHolidayDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 请假流程信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface OaHolidayMapper extends BaseMapperX<OaHolidayDO> {

    default PageResult<OaHolidayDO> selectPage(OaHolidayPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OaHolidayDO>()
                .eqIfPresent(OaHolidayDO::getHolidayId, reqVO.getHolidayId())
                .eqIfPresent(OaHolidayDO::getEmployeeId, reqVO.getEmployeeId())
                .eqIfPresent(OaHolidayDO::getEmployeeUuid, reqVO.getEmployeeUuid())
                .likeIfPresent(OaHolidayDO::getEmployeeName, reqVO.getEmployeeName())
                .eqIfPresent(OaHolidayDO::getUserId, reqVO.getUserId())
                .eqIfPresent(OaHolidayDO::getUserUuid, reqVO.getUserUuid())
                .eqIfPresent(OaHolidayDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(OaHolidayDO::getDeptUuid, reqVO.getDeptUuid())
                .eqIfPresent(OaHolidayDO::getPosition, reqVO.getPosition())
                .eqIfPresent(OaHolidayDO::getHolidayType, reqVO.getHolidayType())
                .betweenIfPresent(OaHolidayDO::getStartDate, reqVO.getStartDate())
                .betweenIfPresent(OaHolidayDO::getEndDate, reqVO.getEndDate())
                .eqIfPresent(OaHolidayDO::getDay, reqVO.getDay())
                .eqIfPresent(OaHolidayDO::getStartTime, reqVO.getStartTime())
                .eqIfPresent(OaHolidayDO::getEndTime, reqVO.getEndTime())
                .eqIfPresent(OaHolidayDO::getReason, reqVO.getReason())
                .eqIfPresent(OaHolidayDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(OaHolidayDO::getProcInstId, reqVO.getProcInstId())
                .eqIfPresent(OaHolidayDO::getAuditStatus, reqVO.getAuditStatus())
                .eqIfPresent(OaHolidayDO::getCurrentAuditUserId, reqVO.getCurrentAuditUserId())
                .eqIfPresent(OaHolidayDO::getCurrentAuditUserUuid, reqVO.getCurrentAuditUserUuid())
                .eqIfPresent(OaHolidayDO::getCurrentAuditEmployeeId, reqVO.getCurrentAuditEmployeeId())
                .eqIfPresent(OaHolidayDO::getCurrentAuditEmployeeUuid, reqVO.getCurrentAuditEmployeeUuid())
                .betweenIfPresent(OaHolidayDO::getFinalAuditDate, reqVO.getFinalAuditDate())
                .eqIfPresent(OaHolidayDO::getInfoSource, reqVO.getInfoSource())
                .betweenIfPresent(OaHolidayDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(OaHolidayDO::getId));
    }

}