package cn.iocoder.yudao.module.bpm.dal.mysql.oa.leave;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.leave.vo.OaLeavePageReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.leave.OaLeaveDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 请假流程信息 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface OaLeaveMapper extends BaseMapperX<OaLeaveDO> {

    default PageResult<OaLeaveDO> selectPage(OaLeavePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OaLeaveDO>()
                .eqIfPresent(OaLeaveDO::getLeaveId, reqVO.getLeaveId())
                .likeIfPresent(OaLeaveDO::getLoginName, reqVO.getLoginName())
                .eqIfPresent(OaLeaveDO::getLoginId, reqVO.getLoginId())
                .eqIfPresent(OaLeaveDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(OaLeaveDO::getPosition, reqVO.getPosition())
                .eqIfPresent(OaLeaveDO::getType, reqVO.getType())
                .betweenIfPresent(OaLeaveDO::getStartTime, reqVO.getStartTime())
                .betweenIfPresent(OaLeaveDO::getEndTime, reqVO.getEndTime())
                .eqIfPresent(OaLeaveDO::getDay, reqVO.getDay())
                .eqIfPresent(OaLeaveDO::getConcreteDay1, reqVO.getConcreteDay1())
                .eqIfPresent(OaLeaveDO::getConcreteDay2, reqVO.getConcreteDay2())
                .eqIfPresent(OaLeaveDO::getReason, reqVO.getReason())
                .eqIfPresent(OaLeaveDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(OaLeaveDO::getProcInsId, reqVO.getProcInsId())
                .eqIfPresent(OaLeaveDO::getOaLeaveStatus, reqVO.getOaLeaveStatus())
                .eqIfPresent(OaLeaveDO::getInfoSource, reqVO.getInfoSource())
                .orderByDesc(OaLeaveDO::getId));
    }

}