package cn.iocoder.yudao.module.bpm.dal.mysql.oa.renew;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.renew.vo.OaRenewPageReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.renew.OaRenewDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 合同续签流程信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface OaRenewMapper extends BaseMapperX<OaRenewDO> {

    default PageResult<OaRenewDO> selectPage(OaRenewPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OaRenewDO>()
                .eqIfPresent(OaRenewDO::getRenewId, reqVO.getRenewId())
                .eqIfPresent(OaRenewDO::getEmployeeId, reqVO.getEmployeeId())
                .eqIfPresent(OaRenewDO::getEmployeeUuid, reqVO.getEmployeeUuid())
                .likeIfPresent(OaRenewDO::getEmployeeName, reqVO.getEmployeeName())
                .eqIfPresent(OaRenewDO::getUserId, reqVO.getUserId())
                .eqIfPresent(OaRenewDO::getUserUuid, reqVO.getUserUuid())
                .eqIfPresent(OaRenewDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(OaRenewDO::getDeptUuid, reqVO.getDeptUuid())
                .eqIfPresent(OaRenewDO::getPosition, reqVO.getPosition())
                .betweenIfPresent(OaRenewDO::getOldContractStartDate, reqVO.getOldContractStartDate())
                .betweenIfPresent(OaRenewDO::getOldContractEndDate, reqVO.getOldContractEndDate())
                .eqIfPresent(OaRenewDO::getRenewPeriod, reqVO.getRenewPeriod())
                .betweenIfPresent(OaRenewDO::getRenewContractStartDate, reqVO.getRenewContractStartDate())
                .betweenIfPresent(OaRenewDO::getRenewContractEndDate, reqVO.getRenewContractEndDate())
                .eqIfPresent(OaRenewDO::getRenewReason, reqVO.getRenewReason())
                .eqIfPresent(OaRenewDO::getWorkPerformance, reqVO.getWorkPerformance())
                .eqIfPresent(OaRenewDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(OaRenewDO::getProcInstId, reqVO.getProcInstId())
                .eqIfPresent(OaRenewDO::getAuditStatus, reqVO.getAuditStatus())
                .eqIfPresent(OaRenewDO::getCurrentAuditUserId, reqVO.getCurrentAuditUserId())
                .eqIfPresent(OaRenewDO::getCurrentAuditUserUuid, reqVO.getCurrentAuditUserUuid())
                .eqIfPresent(OaRenewDO::getCurrentAuditEmployeeId, reqVO.getCurrentAuditEmployeeId())
                .eqIfPresent(OaRenewDO::getCurrentAuditEmployeeUuid, reqVO.getCurrentAuditEmployeeUuid())
                .betweenIfPresent(OaRenewDO::getFinalAuditDate, reqVO.getFinalAuditDate())
                .eqIfPresent(OaRenewDO::getInfoSource, reqVO.getInfoSource())
                .betweenIfPresent(OaRenewDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(OaRenewDO::getId));
    }

}