package cn.iocoder.yudao.module.bpm.service.oa.conversion;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.conversion.vo.OaConversionPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.conversion.vo.OaConversionSaveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.conversion.OaConversionDO;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.validation.Valid;

/**
 * 转正流程信息 Service 接口
 *
 * @author 芋道源码
 */
public interface OaConversionService extends IService<OaConversionDO>{

    Long startOaConversion(Long userId, @Valid OaConversionSaveReqVO createReqVO);

    Long completeTrueOaConversion(Long userId, BpmTaskApproveReqVO reqVO);

    Long completeFalseOaConversion(Long userId, BpmTaskApproveReqVO reqVO);

    Long updateCompleteOaConversion(Long userId, @Valid OaConversionSaveReqVO createReqVO, @Valid BpmTaskApproveReqVO reqVO);


    /**
     * 创建转正流程信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOaConversion(@Valid OaConversionSaveReqVO createReqVO);

    /**
     * 更新转正流程信息
     *
     * @param updateReqVO 更新信息
     */
    void updateOaConversion(@Valid OaConversionSaveReqVO updateReqVO);

    /**
     * 删除转正流程信息
     *
     * @param id 编号
     */
    void deleteOaConversion(Long id);

    /**
     * 获得转正流程信息
     *
     * @param id 编号
     * @return 转正流程信息
     */
    OaConversionDO getOaConversion(Long id);

    /**
     * 获得转正流程信息分页
     *
     * @param pageReqVO 分页查询
     * @return 转正流程信息分页
     */
    PageResult<OaConversionDO> getOaConversionPage(OaConversionPageReqVO pageReqVO);

}