package cn.iocoder.yudao.module.bpm.service.oa.dimission;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.dimission.vo.OaDimissionPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.dimission.vo.OaDimissionSaveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.dimission.OaDimissionDO;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.validation.Valid;

/**
 * 离职流程信息 Service 接口
 *
 * @author dp
 */
public interface OaDimissionService extends IService<OaDimissionDO> {

    Long startOaDimission(Long userId, @Valid OaDimissionSaveReqVO createReqVO);

    Long completeTrueOaDimission(Long userId, BpmTaskApproveReqVO reqVO);

    Long completeFalseOaDimission(Long userId, BpmTaskApproveReqVO reqVO);

    Long updateCompleteOaDimission(Long userId, @Valid OaDimissionSaveReqVO createReqVO, @Valid BpmTaskApproveReqVO reqVO);
    

    /**
     * 创建离职流程信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOaDimission(@Valid OaDimissionSaveReqVO createReqVO);

    /**
     * 更新离职流程信息
     *
     * @param updateReqVO 更新信息
     */
    void updateOaDimission(@Valid OaDimissionSaveReqVO updateReqVO);

    /**
     * 删除离职流程信息
     *
     * @param id 编号
     */
    void deleteOaDimission(Long id);

    /**
     * 获得离职流程信息
     *
     * @param id 编号
     * @return 离职流程信息
     */
    OaDimissionDO getOaDimission(Long id);

    /**
     * 获得离职流程信息分页
     *
     * @param pageReqVO 分页查询
     * @return 离职流程信息分页
     */
    PageResult<OaDimissionDO> getOaDimissionPage(OaDimissionPageReqVO pageReqVO);

}