package cn.iocoder.yudao.module.bpm.service.oa.holiday;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.holiday.vo.OaHolidayPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.holiday.vo.OaHolidaySaveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.holiday.OaHolidayDO;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.validation.Valid;

/**
 * 请假流程信息 Service 接口
 *
 * @author dp
 */
public interface OaHolidayService extends IService<OaHolidayDO> {

    Long startOaHoliday(Long userId, @Valid OaHolidaySaveReqVO createReqVO);

    Long completeTrueOaHoliday(Long userId, BpmTaskApproveReqVO reqVO);

    Long completeFalseOaHoliday(Long userId, BpmTaskApproveReqVO reqVO);

    Long updateCompleteOaHoliday(Long userId, @Valid OaHolidaySaveReqVO createReqVO, @Valid BpmTaskApproveReqVO reqVO);


    /**
     * 创建请假流程信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOaHoliday(@Valid OaHolidaySaveReqVO createReqVO);

    /**
     * 更新请假流程信息
     *
     * @param updateReqVO 更新信息
     */
    void updateOaHoliday(@Valid OaHolidaySaveReqVO updateReqVO);

    /**
     * 删除请假流程信息
     *
     * @param id 编号
     */
    void deleteOaHoliday(Long id);

    /**
     * 获得请假流程信息
     *
     * @param id 编号
     * @return 请假流程信息
     */
    OaHolidayDO getOaHoliday(Long id);

    /**
     * 获得请假流程信息分页
     *
     * @param pageReqVO 分页查询
     * @return 请假流程信息分页
     */
    PageResult<OaHolidayDO> getOaHolidayPage(OaHolidayPageReqVO pageReqVO);

}