package cn.iocoder.yudao.module.bpm.service.oa.leave;

import javax.validation.*;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.leave.vo.OaLeavePageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.leave.vo.OaLeaveSaveReqVO;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.leave.OaLeaveDO;

/**
 * 请假流程信息 Service 接口
 *
 * @author 芋道源码
 */
public interface OaLeaveService {

    /**
     * 创建请假流程信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createOaLeave(@Valid OaLeaveSaveReqVO createReqVO);

    /**
     * 更新请假流程信息
     *
     * @param updateReqVO 更新信息
     */
    void updateOaLeave(@Valid OaLeaveSaveReqVO updateReqVO);

    /**
     * 删除请假流程信息
     *
     * @param id 编号
     */
    void deleteOaLeave(Integer id);

    /**
     * 获得请假流程信息
     *
     * @param id 编号
     * @return 请假流程信息
     */
    OaLeaveDO getOaLeave(Integer id);

    /**
     * 获得请假流程信息分页
     *
     * @param pageReqVO 分页查询
     * @return 请假流程信息分页
     */
    PageResult<OaLeaveDO> getOaLeavePage(OaLeavePageReqVO pageReqVO);

}