package cn.iocoder.yudao.module.bpm.service.oa.renew;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.renew.vo.OaRenewPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.renew.vo.OaRenewSaveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.renew.OaRenewDO;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.validation.Valid;

/**
 * 合同续签流程信息 Service 接口
 *
 * @author dp
 */
public interface OaRenewService extends IService<OaRenewDO> {

    Long startOaRenew(Long userId, @Valid OaRenewSaveReqVO createReqVO);

    Long completeTrueOaRenew(Long userId, BpmTaskApproveReqVO reqVO);

    Long completeFalseOaRenew(Long userId, BpmTaskApproveReqVO reqVO);

    Long updateCompleteOaRenew(Long userId, @Valid OaRenewSaveReqVO createReqVO, @Valid BpmTaskApproveReqVO reqVO);


    /**
     * 创建合同续签流程信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOaRenew(@Valid OaRenewSaveReqVO createReqVO);

    /**
     * 更新合同续签流程信息
     *
     * @param updateReqVO 更新信息
     */
    void updateOaRenew(@Valid OaRenewSaveReqVO updateReqVO);

    /**
     * 删除合同续签流程信息
     *
     * @param id 编号
     */
    void deleteOaRenew(Long id);

    /**
     * 获得合同续签流程信息
     *
     * @param id 编号
     * @return 合同续签流程信息
     */
    OaRenewDO getOaRenew(Long id);

    /**
     * 获得合同续签流程信息分页
     *
     * @param pageReqVO 分页查询
     * @return 合同续签流程信息分页
     */
    PageResult<OaRenewDO> getOaRenewPage(OaRenewPageReqVO pageReqVO);

}