package cn.iocoder.yudao.module.infra.api.file.dto;

import lombok.*;

/**
 * 文件表
 * 每次文件上传，都会记录一条记录到该表中
 *
 * @author lc
 */
@Data
public class FileDTO{

    /**
     * 编号，数据库自增
     */
    private Long id;
    /**
     * 配置编号
     *
     * 关联 FileConfigDO#getId()
     */
    private Long configId;
    /**
     * 原文件名
     */
    private String name;
    /**
     * 路径，即文件名
     */
    private String path;
    /**
     * 访问地址
     */
    private String url;
    /**
     * 文件的 MIME 类型，例如 "application/octet-stream"
     */
    private String type;
    /**
     * 文件大小
     */
    private Integer size;

    /**
     * 业务uuid
     */
    private String serviceId;

    /**
     * 文件字典类型（0：通用类型）
     */
    private Integer fileDictType;

}
