package cn.iocoder.yudao.module.infra.controller.admin.file.vo.file;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 文件修改 Request VO")
@Data
public class FileSaveReqVO {

    @Schema(description = "文件编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "11333")
    private Long id;

    @Schema(description = "配置编号", example = "11128")
    private Long configId;

    @Schema(description = "业务uuid", requiredMode = Schema.RequiredMode.REQUIRED, example = "27555")
    @NotEmpty(message = "业务uuid不能为空")
    private String serviceId;

    @Schema(description = "文件名", example = "李四")
    private String name;

    @Schema(description = "文件路径", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "文件路径不能为空")
    private String path;

    @Schema(description = "文件 URL", requiredMode = Schema.RequiredMode.REQUIRED, example = "https://www.iocoder.cn")
    @NotEmpty(message = "文件 URL不能为空")
    private String url;

    @Schema(description = "文件类型", example = "2")
    private String type;

    @Schema(description = "文件大小", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "文件大小不能为空")
    private Integer size;

    @Schema(description = "文件字典类型（0：通用类型）", example = "2")
    private Integer fileDictType;

}