package cn.iocoder.yudao.module.employee.api.dto;

import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 员工 Response DTO
 *
 * @author 芋道源码
 */
@Data
public class EmployeeRespDTO {

    /**
     * 员工ID
     */
    private Long id;
    /**
     * 业务UUID
     */
    private String infoId;
    /**
     * 员工编号
     */
    private String employeeNumber;
    /**
     * 姓名
     */
    private String name;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 头像地址
     */
    private String avatar;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * 职位
     */
    private String position;
    /**
     * 职位编号
     */
    private Long postId;
    /**
     * 入职时间
     */
    private LocalDate entryDate;
    /**
     * 试用期到期时间
     */
    private LocalDate probationEndDate;
    /**
     * 工作地点
     */
    private String workLocation;
    /**
     * 员工状态
     */
    private Integer employeeStatus;
    /**
     * 性别
     */
    private String gender;
    /**
     * 出生日期
     */
    private LocalDate birthDate;
    /**
     * 婚姻状况
     */
    private String marriageStatus;
    /**
     * 身份证号
     */
    private String idCardNumber;
    /**
     * 身份证地址
     */
    private String idCardAddress;
    /**
     * 户口类型
     */
    private String householdType;
    /**
     * 户口所在地
     */
    private String householdLocation;
    /**
     * 学历
     */
    private String educationLevel;
    /**
     * 专业
     */
    private String major;
    /**
     * 毕业院校
     */
    private String graduationSchool;
    /**
     * 毕业时间
     */
    private LocalDate graduationDate;
    /**
     * 参加工作时间
     */
    private LocalDate workStartDate;
    /**
     * 年假天数
     */
    private Integer annualLeaveDays;
    /**
     * 工资卡银行
     */
    private String salaryBank;
    /**
     * 工资卡号
     */
    private String salaryCardNumber;
    /**
     * 薪酬
     */
    private BigDecimal salary;
    /**
     * 岗位薪资
     */
    private BigDecimal positionSalary;
    /**
     * 项目津贴
     */
    private BigDecimal projectAllowance;
    /**
     * 特殊岗位津贴
     */
    private BigDecimal specialPositionAllowance;
    /**
     * 外籍津贴
     */
    private BigDecimal foreignAllowance;
    /**
     * 午餐补助
     */
    private BigDecimal lunchSubsidy;
    /**
     * 特别津贴
     */
    private BigDecimal specialAllowance;
    /**
     * 补贴
     */
    private BigDecimal subsidy;
    /**
     * 年终奖
     */
    private BigDecimal yearEndBonus;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 租户编目
     */
    private Long tenantId;
    /**
     * 用户ID
     */
    private Long userId;

}