package cn.iocoder.yudao.module.employee.controller.admin.info.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 员工信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class EmployeeInfoRespVO {

    @Schema(description = "员工ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "10984")
    @ExcelProperty("员工ID")
    private Long id;

    @Schema(description = "业务UUID", requiredMode = Schema.RequiredMode.REQUIRED, example = "1987")
    @ExcelProperty("业务UUID")
    private String infoId;

    @Schema(description = "姓名", requiredMode = Schema.RequiredMode.REQUIRED, example = "赵六")
    @ExcelProperty("姓名")
    private String name;

    @Schema(description = "部门ID", example = "22378")
    @ExcelProperty("部门ID")
    private Long deptId;

    @Schema(description = "部门名称", example = "芋艿")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "职位编号", example = "1056")
    @ExcelProperty("职位编号")
    private Long postId;

    @Schema(description = "职位名称")
    @ExcelProperty("职位名称")
    private String position;

    @Schema(description = "员工编号")
    @ExcelProperty("员工编号")
    private String employeeNumber;

    @Schema(description = "入职时间")
    @ExcelProperty("入职时间")
    private LocalDate entryDate;

    @Schema(description = "试用期到期时间")
    @ExcelProperty("试用期到期时间")
    private LocalDate probationEndDate;

    @Schema(description = "离职时间")
    @ExcelProperty("离职时间")
    private LocalDate departureDate;

    @Schema(description = "离职原因", example = "不香")
    @ExcelProperty("离职原因")
    private String resignationReason;

    @Schema(description = "员工状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("员工状态")
    private String employeeStatus;

    @Schema(description = "性别")
    @ExcelProperty("性别")
    private String gender;

    @Schema(description = "电子邮箱")
    @ExcelProperty("电子邮箱")
    private String email;

    @Schema(description = "手机号")
    @ExcelProperty("手机号")
    private String phone;

    @Schema(description = "身份证号")
    @ExcelProperty("身份证号")
    private String idCardNumber;

    @Schema(description = "身份证地址")
    @ExcelProperty("身份证地址")
    private String idCardAddress;

    @Schema(description = "户口类型", example = "2")
    @ExcelProperty("户口类型")
    private String householdType;

    @Schema(description = "户口所在地")
    @ExcelProperty("户口所在地")
    private String householdLocation;

    @Schema(description = "最高学历")
    @ExcelProperty("最高学历")
    private String educationLevel;

    @Schema(description = "毕业院校")
    @ExcelProperty("毕业院校")
    private String graduationSchool;

    @Schema(description = "毕业时间")
    @ExcelProperty("毕业时间")
    private LocalDate graduationDate;

    @Schema(description = "银行卡名称", example = "张三")
    @ExcelProperty("银行卡名称")
    private String bankCardName;

    @Schema(description = "银行卡卡号")
    @ExcelProperty("银行卡卡号")
    private String bankCardNumber;

    @Schema(description = "年假基准天数")
    @ExcelProperty("年假基准天数")
    private Integer baseAnnualLeave;

    @Schema(description = "剩余年假天数")
    @ExcelProperty("剩余年假天数")
    private Integer remainingAnnualLeave;

    @Schema(description = "出生日期")
    @ExcelProperty("出生日期")
    private LocalDate birthDate;

    @Schema(description = "婚姻状况", example = "2")
    @ExcelProperty("婚姻状况")
    private String marriageStatus;

    @Schema(description = "工作地点")
    @ExcelProperty("工作地点")
    private String workLocation;

    @Schema(description = "专业")
    @ExcelProperty("专业")
    private String major;

    @Schema(description = "参加工作时间")
    @ExcelProperty("参加工作时间")
    private LocalDate workStartDate;

    @Schema(description = "薪酬")
    @ExcelProperty("薪酬")
    private BigDecimal salary;

    @Schema(description = "岗位薪资")
    @ExcelProperty("岗位薪资")
    private BigDecimal positionSalary;

    @Schema(description = "项目津贴")
    @ExcelProperty("项目津贴")
    private BigDecimal projectAllowance;

    @Schema(description = "特殊岗位津贴")
    @ExcelProperty("特殊岗位津贴")
    private BigDecimal specialPositionAllowance;

    @Schema(description = "外籍津贴")
    @ExcelProperty("外籍津贴")
    private BigDecimal foreignAllowance;

    @Schema(description = "午餐补助")
    @ExcelProperty("午餐补助")
    private BigDecimal lunchSubsidy;

    @Schema(description = "特别津贴")
    @ExcelProperty("特别津贴")
    private BigDecimal specialAllowance;

    @Schema(description = "补贴")
    @ExcelProperty("补贴")
    private BigDecimal subsidy;

    @Schema(description = "年终奖")
    @ExcelProperty("年终奖")
    private BigDecimal yearEndBonus;

    @Schema(description = "头像地址")
    @ExcelProperty("头像地址")
    private String avatar;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("状态")
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "租户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "27933")
    @ExcelProperty("租户编号")
    private Long tenantId;

    @Schema(description = "用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "12259")
    @ExcelProperty("用户ID")
    private Long userId;

}