package cn.iocoder.yudao.module.employee.service.info;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.employee.controller.admin.info.vo.EmployeeInfoHistoryPageReqVO;
import cn.iocoder.yudao.module.employee.controller.admin.info.vo.EmployeeInfoHistorySaveReqVO;
import cn.iocoder.yudao.module.employee.dal.dataobject.info.EmployeeInfoHistoryDO;

import javax.validation.Valid;

/**
 * 员工信息历史 Service 接口
 *
 * @author zhaopq
 */
public interface EmployeeInfoHistoryService {

    /**
     * 创建员工信息历史
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createInfoHistory(@Valid EmployeeInfoHistorySaveReqVO createReqVO);

    /**
     * 更新员工信息历史
     *
     * @param updateReqVO 更新信息
     */
    void updateInfoHistory(@Valid EmployeeInfoHistorySaveReqVO updateReqVO);

    /**
     * 删除员工信息历史
     *
     * @param id 编号
     */
    void deleteInfoHistory(Long id);

    /**
     * 获得员工信息历史
     *
     * @param id 编号
     * @return 员工信息历史
     */
    EmployeeInfoHistoryDO getInfoHistory(Long id);

    /**
     * 获得员工信息历史分页
     *
     * @param pageReqVO 分页查询
     * @return 员工信息历史分页
     */
    PageResult<EmployeeInfoHistoryDO> getInfoHistoryPage(EmployeeInfoHistoryPageReqVO pageReqVO);

}