package cn.iocoder.yudao.module.relations.dal.mysql.contractinfo;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.relations.controller.admin.contractinfo.vo.RelationsContractInfoPageReqVO;
import cn.iocoder.yudao.module.relations.dal.dataobject.contractinfo.RelationsContractInfoDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 员工合同信息 Mapper
 *
 * @author zhaopq
 */
@Mapper
public interface RelationsContractInfoMapper extends BaseMapperX<RelationsContractInfoDO> {

    default PageResult<RelationsContractInfoDO> selectPage(RelationsContractInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RelationsContractInfoDO>()
                .eqIfPresent(RelationsContractInfoDO::getInfoId, reqVO.getInfoId())
                .likeIfPresent(RelationsContractInfoDO::getName, reqVO.getName())
                .eqIfPresent(RelationsContractInfoDO::getDeptId, reqVO.getDeptId())
                .likeIfPresent(RelationsContractInfoDO::getDeptName, reqVO.getDeptName())
                .eqIfPresent(RelationsContractInfoDO::getPostId, reqVO.getPostId())
                .eqIfPresent(RelationsContractInfoDO::getPosition, reqVO.getPosition())
                .eqIfPresent(RelationsContractInfoDO::getEmployeeNumber, reqVO.getEmployeeNumber())
                .betweenIfPresent(RelationsContractInfoDO::getContractStartDate, reqVO.getContractStartDate())
                .betweenIfPresent(RelationsContractInfoDO::getContractEndDate, reqVO.getContractEndDate())
                .eqIfPresent(RelationsContractInfoDO::getContractDeadline, reqVO.getContractDeadline())
                .eqIfPresent(RelationsContractInfoDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(RelationsContractInfoDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(RelationsContractInfoDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(RelationsContractInfoDO::getEmployeeId, reqVO.getEmployeeId())
                .orderByDesc(RelationsContractInfoDO::getId));
    }

}