package cn.iocoder.yudao.module.relations.service.contractinfo;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.relations.controller.admin.contractinfo.vo.RelationsContractInfoPageReqVO;
import cn.iocoder.yudao.module.relations.controller.admin.contractinfo.vo.RelationsContractInfoSaveReqVO;
import cn.iocoder.yudao.module.relations.dal.dataobject.contractinfo.RelationsContractInfoDO;

import javax.validation.Valid;

/**
 * 员工合同信息 Service 接口
 *
 * @author zhaopq
 */
public interface RelationsContractInfoService {

    /**
     * 创建员工合同信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createContractInfo(@Valid RelationsContractInfoSaveReqVO createReqVO);

    /**
     * 更新员工合同信息
     *
     * @param updateReqVO 更新信息
     */
    void updateContractInfo(@Valid RelationsContractInfoSaveReqVO updateReqVO);

    /**
     * 删除员工合同信息
     *
     * @param id 编号
     */
    void deleteContractInfo(Long id);

    /**
     * 获得员工合同信息
     *
     * @param id 编号
     * @return 员工合同信息
     */
    RelationsContractInfoDO getContractInfo(Long id);

    /**
     * 获得员工合同信息分页
     *
     * @param pageReqVO 分页查询
     * @return 员工合同信息分页
     */
    PageResult<RelationsContractInfoDO> getContractInfoPage(RelationsContractInfoPageReqVO pageReqVO);

}