package cn.iocoder.yudao.module.system.controller.admin.dictTenant.vo.data;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 租户字典数据 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DictDataTenantRespVO {

    @Schema(description = "字典编码", requiredMode = Schema.RequiredMode.REQUIRED, example = "25421")
    @ExcelProperty("字典编码")
    private Long id;

    @Schema(description = "字典排序", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("字典排序")
    private Integer sort;

    @Schema(description = "字典标签", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("字典标签")
    private String label;

    @Schema(description = "字典键值", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("字典键值")
    private String value;

    @Schema(description = "字典类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("字典类型")
    private String dictType;

    @Schema(description = "状态（0正常 1停用）", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("状态（0正常 1停用）")
    private Integer status;

    @Schema(description = "颜色类型", example = "2")
    @ExcelProperty("颜色类型")
    private String colorType;

    @Schema(description = "css 样式")
    @ExcelProperty("css 样式")
    private String cssClass;

    @Schema(description = "备注", example = "随便")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}