package cn.iocoder.yudao.module.system.controller.admin.dictTenant.vo.data;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.*;

@Schema(description = "管理后台 - 租户字典数据新增/修改 Request VO")
@Data
public class DictDataTenantSaveReqVO {

    @Schema(description = "字典编码", requiredMode = Schema.RequiredMode.REQUIRED, example = "25421")
    private Long id;

    @Schema(description = "字典排序", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "字典排序不能为空")
    private Integer sort;

    @Schema(description = "字典标签", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "字典标签不能为空")
    private String label;

    @Schema(description = "字典键值", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "字典键值不能为空")
    private String value;

    @Schema(description = "字典类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotEmpty(message = "字典类型不能为空")
    private String dictType;

    @Schema(description = "状态（0正常 1停用）", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "状态（0正常 1停用）不能为空")
    private Integer status;

    @Schema(description = "颜色类型", example = "2")
    private String colorType;

    @Schema(description = "css 样式")
    private String cssClass;

    @Schema(description = "备注", example = "随便")
    private String remark;

}