package cn.iocoder.yudao.module.system.controller.admin.dictTenant.vo.type;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.*;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 租户字典类型新增/修改 Request VO")
@Data
public class DictTypeTenantSaveReqVO {

    @Schema(description = "字典主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "10945")
    private Long id;

    @Schema(description = "字典名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    @NotEmpty(message = "字典名称不能为空")
    private String name;

    @Schema(description = "字典类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotEmpty(message = "字典类型不能为空")
    private String type;

    @Schema(description = "状态（0正常 1停用）", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "状态（0正常 1停用）不能为空")
    private Integer status;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

    @Schema(description = "删除时间")
    private LocalDateTime deletedTime;

}