package cn.iocoder.yudao.module.system.controller.admin.user.vo.tenant;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 用户租户关系 Response VO")
@Data
@ExcelIgnoreUnannotated
public class UserTenantRelateRespVO {

    @Schema(description = "关系ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "15794")
    @ExcelProperty("关系ID")
    private Long id;

    @Schema(description = "用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "29632")
    @ExcelProperty("用户ID")
    private Long userId;

    @Schema(description = "租户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "3553")
    @ExcelProperty("租户ID")
    private Long tenantId;

    @Schema(description = "用户在企业中的角色", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("用户在企业中的角色")
    private String role;

    @Schema(description = "当前生效", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("当前生效")
    private Boolean actived;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("状态")
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}