package cn.iocoder.yudao.module.system.service.dictTenant;

import javax.validation.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.dictTenant.vo.type.DictTypeTenantPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.dictTenant.vo.type.DictTypeTenantSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.dict.DictTypeDO;
import cn.iocoder.yudao.module.system.dal.dataobject.dictTenant.DictTypeTenantDO;

import java.util.List;

/**
 * 租户字典类型 Service 接口
 *
 * @author 芋道源码
 */
public interface DictTypeTenantService {

    /**
     * 创建租户字典类型
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDictType(@Valid DictTypeTenantSaveReqVO createReqVO);

    /**
     * 更新租户字典类型
     *
     * @param updateReqVO 更新信息
     */
    void updateDictType(@Valid DictTypeTenantSaveReqVO updateReqVO);

    /**
     * 删除租户字典类型
     *
     * @param id 编号
     */
    void deleteDictType(Long id);

    /**
     * 获得租户字典类型
     *
     * @param id 编号
     * @return 租户字典类型
     */
    DictTypeTenantDO getDictType(Long id);

    /**
     * 获得字典类型详情
     *
     * @param type 字典类型
     * @return 字典类型详情
     */
    DictTypeTenantDO getDictType(String type);

    /**
     * 获得租户字典类型分页
     *
     * @param pageReqVO 分页查询
     * @return 租户字典类型分页
     */
    PageResult<DictTypeTenantDO> getDictTypePage(DictTypeTenantPageReqVO pageReqVO);

    /**
     * 获得全部字典类型列表
     *
     * @return 字典类型列表
     */
    List<DictTypeTenantDO> getDictTypeList();

}